#include <stdio.h>
#include "alg_iso8859_7.h"

/*
 * ex: ts=8 sts=4 et
 */

int
main(void)
{
	int i;
	unsigned char c;
	unsigned short u;

	printf("enc\n");
	for (i = 0; i < 0x10000; i++) {
#if 0
		if (i <= 0xa0) c = i;
		else if (i < 0xc0 && (0x288f3bc9L & ((1L << (i-0xa0)))))
			c = i;
		else if (i >= 0x0384 && (i >= 0x03a4 ||
			     (0xdffffbeeL & (1L << (i-0x0384)))))
			c = i - 0x02d0;
		else if (i>>1 == 0x2018>>1) c = i - 0x1f77;
		else if (i == 0x2015) c = 0xaf;
#endif
                ISO8859_7_ENCODE(i, c)
		else continue;

		printf("0x%02X 0x%04X\n", c, i);
	}

	printf("\ndec\n");
	for (i = 0; i < 0x100; i++) {
		ISO8859_7_DECODE(i, u)
		else continue;

		printf("0x%02X 0x%04X\n", i, u);
	}

	return 0;
}
